ChiliProject - Bug # 1199: Various acts_as_journalized bugs plus tests

Status: Ready for review Priority: Normal

Author: Greg Thornton Category: Journals / History

Created: 2013-01-07 Assignee: Felix Schafer

Updated: 2013-01-20 Due date:

Remote issue URL:

Affected version: master

Description: It looked like the acts_as_journalized tests were meant to be run as standalone tests, but | couldn't get them

to run so | rewrote them to work with @rake test:plugins@. Along the way | discovered and fixed a few bugs.
Some of the tests didn't make much sense and appeared to be leftovers from VestalVersions. Everything
about tags, control blocks, and special conditions was removed because | couldn't find any remaining
references to them in the actual source. All of the core tests still pass (except the ones that are temporarily
broken due to encoding probs in master).

https://github.com/chiliproject/chiliproject/pull/242

The PR contains the fix mentioned in #1198 as well.

Associated revisions

2008-06-07 11:19 am - Jean-Philippe Lang

Mercurial adapter improvements (patch #1199 by Pierre Paysant-Le Roux).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1499 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2013-01-14 02:09 pm - Felix Schéafer
| think most of the tests were leftovers from VestalVersions and were never meant to be run standalone, as most of the features ChiliProject uses
are/should be covered by core tests. If this allows us to spin out aaj to a gem so as not to have it a hard part of the core, I'm all for it.

Would you say the test coverage is good enough to use and develop it standalone? Furthermore, would you then be interested participate in or take

over the maintenance of aaj?

2013-01-14 02:09 pm - Felix Schafer

- Status changed from Open to Ready for review

- Assignee set to Felix Schéfer

2013-01-20 12:46 pm - Greg Thornton

Sorry, for some reason I'm not getting email notifications from cp.org. I'll check my junk folder. Anyway, yes, this gets us closer to a standalone gem. |
wouldn't mind maintaining aaj, but let's chat on IRC soon about how best go about that. I'm wondering if gemifying now would make a Rails 3 port
slightly more of a headache.

2013-01-20 02:04 pm - Felix Schéafer
Greg Thornton wrote:
> Anyway, yes, this gets us closer to a standalone gem. | wouldn't mind maintaining aaj, but let's chat on IRC soon about how best go about that. I'm

wondering if gemifying now would make a Rails 3 port slightly more of a headache.

It shouldn't make too big a difference. And sure, pop by IRC :-)
